Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Interface AutotuneAgentIf

All Superinterfaces:
  AbleBeanRemoteContainer, AbleEventListenerRemoteManager, AbleEventQueueRemoteManager, AbleRemoteAgent, AbleRemoteBean, AbleRemoteEventListener, AbleUserDefinedFunctionRemoteManager, java.rmi.Remote, java.io.Serializable

All Known Implementing Classes:
  AutotuneAgent

public interface AutotuneAgentIf
extends AbleRemoteAgent

Method Summary
`java.util.Vector` | `getAdaptors()` Return all beans which are AutotuneAdaptors.
`int` | `getControllerRate()` Return the time period between processing the masterController.
`java.util.Vector` | `getControllers()` Return all beans which are AutotuneControllers.
`java.lang.String` | `getDataRepositoryPath()` Get the base directory used to store logging data.
`int` | `getDefaultAdaptorRate()`
`boolean` | `getLogData()` Return whether logging is on or off.
`java.lang.String` | `getLogDataFileName()` Get the name of the file where log data is written.
`AutotuneMetricCollection` | `getLoggingMetrics()` Get the collection of selected metrics for logging.
`AutotuneController` | `getMasterController()` Return the controller serving as masterController in this agent.
`AutotuneMetric` | `getMetric(java.lang.String metricName)` Return the metric with the specified name.
`AutotuneMetricCollection` | `getMetrics()` Get all metrics defined by all adaptors in this agent.
`boolean` | `isLogData()` Return whether logging is on or off.
`boolean` | `isSynchronousAdaptorMode()` Return the flag indicating whether adaptors are to be processed synchronously.
`void` | `setControllerRate(int rate)` Set the time period between processing the masterController.
`void` | `setDataRepositoryPath(java.lang.String path)` Set the base directory used to store logging data.
`void` | `setDefaultAdaptorRate(int rate)`
`void` | `setLogData(boolean state)` Turn logging on or off.
`void` | `setLogDataFileName(java.lang.String fileName)` Set the name of the file used to write log data.
`void` | `setLoggingMetrics(AutotuneMetricCollection loggingMetrics)` Set the collection of selected metrics for logging.
`void` | `setMasterController(AutotuneController controller)` Select which controller should be master.
`boolean` | `setMasterController(java.lang.String theName)` Set the master controller using its name.
`void` | `setRemoteAgent(AutotuneAgentIf theRemoteAgent)` Set the remote agent reference
`void` | `setSynchronousAdaptorMode(boolean state)` Set the flag used to determine whether to process each adaptor before processing the masterController.
`void` | `writeLogData()` Write system state and control actions to log file for post mortem analysis, and replay if desired.

Methods inherited from interface com.ibm.able.AbleRemoteAgent
`addEventConnection, getAgentAddr, getAgentHost, getAgentName, getDataSource, isActiveDataSource, removeEventConnection, setActiveDataSource`

Methods inherited from interface com.ibm.able.AbleRemoteBean
`getName, getProperties, getProperty, getState, init, init, process, process, quitAll, removeProperty, reset, resumeAll, setProperties, setProperty, suspendAll`

Methods inherited from interface com.ibm.able.AbleRemoteEventListener
`handleAbleEvent`

Methods inherited from interface com.ibm.able.AbleEventListenerRemoteManager
`addAbleEventListener, notifyAbleEventListeners, removeAbleEventListener`

Methods inherited from interface com.ibm.able.AbleEventQueueRemoteManager
`flushAbleEventQueue, getAbleEventProcessingEnabled, getAbleEventQueueSize, getSleepTime, isTimerEventProcessingEnabled, quitEnabledEventProcessing, restartEnabledEventProcessing, resumeEnabledEventProcessing, setAbleEventProcessingEnabled, setSleepTime, setTimerEventProcessingEnabled, startEnabledEventProcessing, suspendEnabledEventProcessing`

Methods inherited from interface com.ibm.able.AbleBeanRemoteContainer
`addBean, containsBean, containsBean, getBean, getBeans, removeAllBeans, removeBean, removeBean`

Methods inherited from interface com.ibm.able.AbleUserDefinedFunctionRemoteManager
`addUserDefinedFunction, containsUserDefinedFunction, getUserDefinedFunction, getUserDefinedFunctions, invokeUserDefinedFunction, removeUserDefinedFunction, setUserDefinedFunctions`

Method Detail

### setSynchronousAdaptorMode

    public void setSynchronousAdaptorMode(boolean state)
                                   throws java.rmi.RemoteException

  Set the flag used to determine whether to process each adaptor before processing the masterController.

  Throws:
    `java.rmi.RemoteException`

### isSynchronousAdaptorMode

    public boolean isSynchronousAdaptorMode()
                                     throws java.rmi.RemoteException

  Return the flag indicating whether adaptors are to be processed synchronously.

  Throws:
    `java.rmi.RemoteException`

### setControllerRate

    public void setControllerRate(int rate)
                           throws java.rmi.RemoteException

  Set the time period between processing the masterController.

  Throws:
    `java.rmi.RemoteException`

### getControllerRate

    public int getControllerRate()
                          throws java.rmi.RemoteException

  Return the time period between processing the masterController.

  Throws:
    `java.rmi.RemoteException`

### setDefaultAdaptorRate

    public void setDefaultAdaptorRate(int rate)
                               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDefaultAdaptorRate

    public int getDefaultAdaptorRate()
                              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setDataRepositoryPath

    public void setDataRepositoryPath(java.lang.String path)
                               throws java.rmi.RemoteException

  Set the base directory used to store logging data.

  Throws:
    `java.rmi.RemoteException`

### getDataRepositoryPath

    public java.lang.String getDataRepositoryPath()
                                           throws java.rmi.RemoteException

  Get the base directory used to store logging data.

  Throws:
    `java.rmi.RemoteException`

### getMasterController

    public AutotuneController getMasterController()
                                           throws java.rmi.RemoteException

  Return the controller serving as masterController in this agent.

  Throws:
    `java.rmi.RemoteException`

### setMasterController

    public void setMasterController(AutotuneController controller)
                             throws java.rmi.RemoteException

  Select which controller should be master.

  Throws:
    `java.rmi.RemoteException`

### setMasterController

    public boolean setMasterController(java.lang.String theName)
                                throws java.rmi.RemoteException

  Set the master controller using its name.

  Parameters:
    `theName` - A String containing the name of the controller.
  Returns:
    A boolean indicating whether the controller was found and set.
  Throws:
    `java.rmi.RemoteException`

### getMetrics

    public AutotuneMetricCollection getMetrics()
                                        throws java.rmi.RemoteException

  Get all metrics defined by all adaptors in this agent.

  Throws:
    `java.rmi.RemoteException`

### getLoggingMetrics

    public AutotuneMetricCollection getLoggingMetrics()
                                               throws java.rmi.RemoteException

  Get the collection of selected metrics for logging.

  Throws:
    `java.rmi.RemoteException`

### setLoggingMetrics

    public void setLoggingMetrics(AutotuneMetricCollection loggingMetrics)
                           throws java.rmi.RemoteException

  Set the collection of selected metrics for logging.

  Throws:
    `java.rmi.RemoteException`

### getMetric

    public AutotuneMetric getMetric(java.lang.String metricName)
                             throws java.rmi.RemoteException

  Return the metric with the specified name.

  Throws:
    `java.rmi.RemoteException`

### setLogData

    public void setLogData(boolean state)
                    throws java.rmi.RemoteException

  Turn logging on or off.

  Throws:
    `java.rmi.RemoteException`

### getLogData

    public boolean getLogData()
                       throws java.rmi.RemoteException

  Return whether logging is on or off.

  Throws:
    `java.rmi.RemoteException`

### isLogData

    public boolean isLogData()
                      throws java.rmi.RemoteException

  Return whether logging is on or off.

  Throws:
    `java.rmi.RemoteException`

### setLogDataFileName

    public void setLogDataFileName(java.lang.String fileName)
                            throws java.rmi.RemoteException

  Set the name of the file used to write log data.

  Throws:
    `java.rmi.RemoteException`

### getLogDataFileName

    public java.lang.String getLogDataFileName()
                                        throws java.rmi.RemoteException

  Get the name of the file where log data is written.

  Throws:
    `java.rmi.RemoteException`

### writeLogData

    public void writeLogData()
                      throws java.rmi.RemoteException

  Write system state and control actions to log file for post mortem analysis, and replay if desired.

  Throws:
    `java.rmi.RemoteException`

### getAdaptors

    public java.util.Vector getAdaptors()
                                 throws java.rmi.RemoteException

  Return all beans which are AutotuneAdaptors.

  Returns:
    A Vector of AutotuneAdaptor objects.
  Throws:
    `java.rmi.RemoteException`

### getControllers

    public java.util.Vector getControllers()
                                    throws java.rmi.RemoteException

  Return all beans which are AutotuneControllers.

  Returns:
    A Vector of AutotuneController objects.
  Throws:
    `java.rmi.RemoteException`

### setRemoteAgent

    public void setRemoteAgent(AutotuneAgentIf theRemoteAgent)
                        throws java.rmi.RemoteException

  Set the remote agent reference

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005